#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""pytz - summer/winter-time,
daylight saving time - standard time, rsp."""

# minimal python3 compatibility
from __future__ import print_function

import datetime
import pytz

utc = pytz.UTC
wien = pytz.timezone('Europe/Vienna')

dt0_utc = datetime.datetime(2016, 10, 30, 00, tzinfo = utc)
# list comprehension
dtl_utc = [dt0_utc + datetime.timedelta(minutes=k*30) for k in range(4)]

print(wien)
for d in dtl_utc:
    w = d.astimezone(wien)
    print(d.strftime("%Y-%m-%d %H:%M %Z -> "), 
					 w.strftime("%H:%M %z (%Z)"))
