#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""datutil - rrule"""

# minimal python3 compatibility
from __future__ import print_function
import datetime
from dateutil.rrule import rrule, MONTHLY

form = "%Y-%m-%d, %A"
start_date = datetime.datetime(2017, 1, 31)
result = list(rrule(freq=MONTHLY, count=4, dtstart=start_date))
for d in result:
    print('31th of month    : ', d.strftime(form))

print(40 * '-')    
result = list(rrule(freq=MONTHLY, count=4, dtstart=start_date,
                    bymonthday = -1))
for d in result:
    print('Last day of month: ', d.strftime(form))
